Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.repository.util
Class ArchiveReader

    java.lang.Object
      org.apache.axis2.deployment.repository.util.ArchiveReader

All Implemented Interfaces:
  DeploymentConstants

    public class ArchiveReader

extends java.lang.Object
implements DeploymentConstants

Field Summary

Fields inherited from interface org.apache.axis2.deployment.DeploymentConstants
`ATTACHMENTS_LIFECYCLE_MANAGER, ATTRIBUTE_ACTIVATE, ATTRIBUTE_CLASS, ATTRIBUTE_DEFAULT_VERSION, ATTRIBUTE_LOCKED, ATTRIBUTE_NAME, ATTRIBUTE_NAMESPACE, ATTRIBUTE_PACKAGE, ATTRIBUTE_SCOPE, ATTRIBUTE_WSADDRESSING, AXIS2_CONFIGURATION_RESOURCE, AXIS2_CONFIGURATION_XML, AXIS2_REPO, BOOLEAN_FALSE, BOOLEAN_TRUE, DEPLOYER, DIRECTORY, DIRECTORY_AXIS2_HOME, DIRECTORY_CONF, EXTENSION, MAPPING, META_INF, MODULE_DRI_PATH, MODULE_PATH, MODULE_XML, POLICY_NS_URI, PROPERTY_TEMP_DIR, RESOURCE_MODULES, SCHEMA, SCHEMA_ELEMENT_QUALIFIED, SCHEMA_NAME_SPACE, SEPARATOR_COLON, SEPARATOR_DOT, SERVICE_DIR_PATH, SERVICE_PATH, SERVICES_XML, SUFFIX_JAR, SUFFIX_MAR, SUFFIX_WSDL, TAG_AFTER, TAG_ALLOWOVERRIDE, TAG_ANTI_JAR_LOCKING, TAG_APPLIES_TO, TAG_AXISCONFIG, TAG_BEFORE, TAG_CLASS_NAME, TAG_CLUSTER, TAG_CONTENT_TYPE, TAG_CONTEXT, TAG_DEFAULT_MODULE_VERSION, TAG_DEFAULTS, TAG_DESCRIPTION, TAG_DISPATCH_ORDER, TAG_DISPATCHER, TAG_EXCLUDE, TAG_EXCLUDE_OPERATIONS, TAG_EXCLUDE_PROPERTIES, TAG_EXPOSE, TAG_EXTRACT_SERVICE_ARCHIVE, TAG_FLOW_IN, TAG_FLOW_IN_FAULT, TAG_FLOW_OUT, TAG_FLOW_OUT_FAULT, TAG_HANDLER, TAG_HOT_DEPLOYMENT, TAG_HOT_UPDATE, TAG_INCLUDE_PROPERTIES, TAG_LABEL, TAG_LIST_ID, TAG_LISTENER, TAG_MAPPING, TAG_MEP, TAG_MESSAGE, TAG_MESSAGE_BUILDER, TAG_MESSAGE_BUILDERS, TAG_MESSAGE_FORMATTER, TAG_MESSAGE_FORMATTERS, TAG_MESSAGE_RECEIVER, TAG_MESSAGE_RECEIVERS, TAG_MODULE, TAG_MODULE_CONFIG, TAG_NAMESPACES, TAG_NODE_MANAGER, TAG_OBJECT_SUPPLIER, TAG_OPERATION, TAG_ORDER, TAG_PACKAGE_NAME, TAG_PACKAGE2QNAME, TAG_PARAMETER, TAG_PHASE, TAG_PHASE_FIRST, TAG_PHASE_LAST, TAG_PHASE_ORDER, TAG_POLICY, TAG_POLICY_ATTACHMENT, TAG_POLICY_REF, TAG_QNAME, TAG_REFERENCE, TAG_REPLICATION, TAG_SERVICE, TAG_SERVICE_GROUP, TAG_STATE_MANAGER, TAG_SUPPORTED_POLICY_NAMESPACES, TAG_TARGET_RESOLVER, TAG_TARGET_RESOLVERS, TAG_THREAD_CONTEXT_MIGRATOR, TAG_THREAD_CONTEXT_MIGRATORS, TAG_TIMEOUT, TAG_TRANSACTION, TAG_TRANSACTION_CONFIGURATION_CLASS, TAG_TRANSPORT, TAG_TRANSPORT_RECEIVER, TAG_TRANSPORT_SENDER, TAG_TRANSPORTS, TAG_TYPE, TARGET_NAME_SPACE`

Constructor Summary
`ArchiveReader()`

Method Summary
`java.util.ArrayList<AxisService>` | `buildServiceGroup(java.io.InputStream zin, DeploymentFileData currentFile, AxisServiceGroup axisServiceGroup, java.util.HashMap<java.lang.String,AxisService> wsdlServices, ConfigurationContext configCtx)`
`java.util.List<AxisService>` | `getAxisServiceFromWsdl(java.io.InputStream in, java.lang.ClassLoader loader, java.lang.String wsdlUrl)`
`void` | `processFilesInFolder(java.io.File folder, java.util.HashMap<java.lang.String,AxisService> servicesMap)`
`java.util.ArrayList<AxisService>` | `processServiceGroup(java.lang.String filename, DeploymentFileData currentFile, AxisServiceGroup axisServiceGroup, boolean extractService, java.util.HashMap<java.lang.String,AxisService> wsdlServices, ConfigurationContext configCtx)` Extracts Service XML files and builds the service groups.
`java.util.HashMap<java.lang.String,AxisService>` | `processWSDLs(DeploymentFileData file)` Creates service objects from wsdl file inside a service archive file.
`void` | `readModuleArchive(DeploymentFileData deploymentFile, AxisModule module, boolean explodedDir, AxisConfiguration axisConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchiveReader

    public ArchiveReader()

Method Detail

### buildServiceGroup

    public java.util.ArrayList<AxisService> buildServiceGroup(java.io.InputStream zin,
                                                              DeploymentFileData currentFile,
                                                              AxisServiceGroup axisServiceGroup,
                                                              java.util.HashMap<java.lang.String,AxisService> wsdlServices,
                                                              ConfigurationContext configCtx)
                                                       throws javax.xml.stream.XMLStreamException,
                                                              AxisFault

  Throws:
    `javax.xml.stream.XMLStreamException`
    `AxisFault`

### processServiceGroup

    public java.util.ArrayList<AxisService> processServiceGroup(java.lang.String filename,
                                                                DeploymentFileData currentFile,
                                                                AxisServiceGroup axisServiceGroup,
                                                                boolean extractService,
                                                                java.util.HashMap<java.lang.String,AxisService> wsdlServices,
                                                                ConfigurationContext configCtx)
                                                         throws AxisFault

  Extracts Service XML files and builds the service groups.

  Parameters:
    `filename` -
    `axisServiceGroup` -
    `extractService` -
    `wsdlServices` -
    `configCtx` -
  Returns:
    Returns ArrayList.
  Throws:
    `DeploymentException`
    `AxisFault`

### processWSDLs

    public java.util.HashMap<java.lang.String,AxisService> processWSDLs(DeploymentFileData file)
                                                                 throws DeploymentException

  Creates service objects from wsdl file inside a service archive file.

  Parameters:
    `file` - `ArchiveFileData`
  Throws:
    `DeploymentException` - `DeploymentException`

### getAxisServiceFromWsdl

    public java.util.List<AxisService> getAxisServiceFromWsdl(java.io.InputStream in,
                                                              java.lang.ClassLoader loader,
                                                              java.lang.String wsdlUrl)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processFilesInFolder

    public void processFilesInFolder(java.io.File folder,
                                     java.util.HashMap<java.lang.String,AxisService> servicesMap)
                              throws java.io.FileNotFoundException,
                                     javax.xml.stream.XMLStreamException,
                                     DeploymentException

  Throws:
    `java.io.FileNotFoundException`
    `javax.xml.stream.XMLStreamException`
    `DeploymentException`

### readModuleArchive

    public void readModuleArchive(DeploymentFileData deploymentFile,
                                  AxisModule module,
                                  boolean explodedDir,
                                  AxisConfiguration axisConfig)
                           throws DeploymentException

  Throws:
    `DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.